drill-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arina-ielchiieva <...@git.apache.org>
Subject [GitHub] drill pull request: DRILL-4596: Drill should do version check amon...
Date Mon, 11 Apr 2016 19:41:02 GMT
Github user arina-ielchiieva commented on the pull request:

    https://github.com/apache/drill/pull/474#issuecomment-208521519
  
    I thought it's hard to maintain backward compatibility. Quoting Parth comment from Jira:
    "Drill needs to be able to run queries that depend only on features that are in the oldest
version of Drill in the cluster. Say for example, most drillbits are at version N and some
are at version N+1. You added support for a new type foo in version N+1. Any queries not using
or depending on type foo should run successfully. Queries depending on foo can only run successfully
after all the drillbits are upgraded to N+1."


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message